TokenLab

핵심

모델 목록 조회

TokenLab에서 현재 사용 가능한 모델 목록을 조회합니다.

GET
/v1/models

모델 카탈로그는 공개되어 있으며 API 키가 필요하지 않습니다. 각 항목에는 현재 기능, 가격 및 API 형식에 대한 요약이 포함되어 있습니다. 전체 세부 정보가 필요한 경우 특정 모델을 조회하십시오.

쿼리 매개변수

categorystringquery

chat, image, video, audio, tts, stt, music, 3d, embedding, rerank 또는 translation으로 필터링합니다.

recommended_forstringquery

image, video, music, 3d, tts, stt, embedding, rerank 또는 translation과 같은 작업에 대한 현재 권장 사항을 반환합니다.

providerstringquery

openai, anthropic, google 또는 deepseek와 같은 모델 제조사로 필터링합니다.

tagstringquery

chat, image, video, embedding 또는 translation과 같은 태그로 필터링합니다.

응답

objectstring
항상 list입니다.
dataarray
id, owned_by 및 tokenlab 요약 정보가 포함된 모델 목록입니다.

tokenlab 하위의 일반적인 목록 필드는 다음과 같습니다:

  • tokenlab.aliases
  • tokenlab.capabilities
  • tokenlab.pricing 및 tokenlab.pricing_unit
  • tokenlab.max_input_tokens 및 tokenlab.max_output_tokens
  • tokenlab.category
  • tokenlab.lifecycle, tokenlab.commercial 및 tokenlab.badges
  • tokenlab.request_format_summary
  • recommended_for 사용 시 tokenlab.agent_preferences

recommended_for를 사용하는 경우, 결과에 권장 상태 및 업데이트 시간이 포함될 수 있습니다. 순서를 고정하지 말고 현재 응답을 읽으십시오.

예시

curl "https://api.tokenlab.sh/v1/models?category=video"
{
  "object": "list",
  "data": [
    {
      "id": "veo3.1",
      "object": "model",
      "owned_by": "google",
      "tokenlab": {
        "category": "video",
        "capabilities": ["text-to-video", "image-to-video"]
      }
    }
  ]
}

전체 세부 정보는 모델 가져오기을 참조하십시오.

curl -X GET "https://example.com/v1/models"
{  "object": "list",  "data": [    {      "id": "string",      "object": "model",      "created": 0,      "owned_by": "string",      "tokenlab": {        "aliases": [          "string"        ],        "deliveryAvailability": {          "verified": true,          "official": true,          "operations": {            "property1": {              "verified": true,              "official": true            },            "property2": {              "verified": true,              "official": true            }          }        },        "pricing": {},        "capabilities": [          "string"        ],        "providers": [          "string"        ],        "max_input_tokens": 0,        "max_output_tokens": 0,        "category": "string",        "pricing_unit": "string",        "cache_pricing": {},        "has_complex_pricing": true,        "pricing_summary": {},        "agent_preferences": {},        "lifecycle": {          "stage": "active",          "reason": "string",          "replacement_model": "string",          "released_at": "2019-08-24T14:15:22Z",          "deprecated_at": "2019-08-24T14:15:22Z",          "retired_at": "2019-08-24T14:15:22Z",          "sunset_at": "2019-08-24T14:15:22Z",          "latest": true,          "latest_source": "auto",          "latest_window_days": 0        },        "commercial": {          "user_charge_policy": "paid",          "free_reason": "platform",          "free_until": "2019-08-24T14:15:22Z"        },        "badges": [          {            "key": "free",            "tone": "green",            "priority": 0,            "tooltip": {              "key": "string",              "values": {                "property1": "string",                "property2": "string"              }            }          }        ],        "request_format_summary": {          "public_operations": [            "string"          ],          "request_endpoint": "string",          "request_endpoint_by_operation": {            "property1": "string",            "property2": "string"          }        }      }    }  ]}

인증

BearerAuth
AuthorizationBearer <token>

API 키 인증입니다. Dashboard > API > API Keys에서 API 키를 생성하거나 관리하십시오.

위치: header

쿼리 매개변수

provider?string

공개 모델 제공자(예: openai, anthropic, google, minimax)별 필터링.

tag?string

공개 기능 태그별 필터링.

category?string

모델 카테고리별 필터링.

허용 값

  • "chat"
  • "embedding"
  • "translation"
  • "image"
  • "video"
  • "audio"
  • "tts"
  • "stt"
  • "rerank"
  • "3d"
  • "music"
  • "decision"
recommended_for?string

작업 카테고리에 대해 지원되는 비채팅 모델을 정렬하고 추천 근거를 포함합니다.

허용 값

  • "image"
  • "video"
  • "music"
  • "3d"
  • "tts"
  • "stt"
  • "embedding"
  • "rerank"
  • "translation"
view?string

컴팩트한 모델 선택 필드 또는 전체 OpenAI 호환 목록 형태를 선택합니다.

기본값"full"

허용 값

  • "compact"
  • "full"

응답

application/json

application/json

application/json

application/json

application/json